//setup file

//FLASH PRODUCTION

#define PIC_CLK 4					//[user change] [default 4] usually 4Mhz, but can be 16Mhz for ICD
#define ICD_EMULATION 1		//[user change] [default 0] 0=compile to PIC12C672, 1=emulate with ICD
//[user change] [default 0] change this for target OTP or JW chip
//0 for OTP chip, implements _READ_OSCCAL_DATA()
#define CHIP_NO 2
#define VERSION 1					//[user change] 0=standard 128k, 1=pro 1Mb

//***
//do not change - settings and error checking for #defines above
//***
//do not change - settings and error checking for #defines above
#assert (PIC_CLK==4) || (PIC_CLK==16)
#assert (ICD_EMULATION==0) || (ICD_EMULATION==1)
#assert (VERSION==0) || (VERSION==1)
#if (CHIP_NO==0)
	#error Not for flash
#elif (CHIP_NO==1)
	#define OSCCAL_DATA (unsigned char)(0xFF & 0x3490)
#elif (CHIP_NO==2)
	#define OSCCAL_DATA (unsigned char)(0xFF & 0x3494)
#elif (CHIP_NO==6)
	#define OSCCAL_DATA (unsigned char)(0xFF & 0x34B0)
#elif (CHIP_NO==7)
	#define OSCCAL_DATA (unsigned char)(0xFF & 0x3484)
#elif (CHIP_NO==8)
	#define OSCCAL_DATA (unsigned char)(0xFF & 0x34C8)
#elif (CHIP_NO==9)
	#define OSCCAL_DATA (unsigned char)(0xFF & 0x34B0)
#elif (CHIP_NO==10)
	#define OSCCAL_DATA (unsigned char)(0xFF & 0x34C0)
#else
	#error Please define CHIP_NO
#endif

//otp1: 0x3480
